/* $Id: DeleteActivityAction.java,v 1.1 2007/10/19 08:19:34 nito Exp $
 * 
 * Copyright (c)ARGO 21, Corporation. 2005, 2006.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */
package jp.co.argo21.nautica.tool.wfd.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jp.co.argo21.nautica.tool.wfd.DesktopPane;
import jp.co.argo21.nautica.tool.wfd.ProcessDesignFrame;
import jp.co.argo21.nautica.tool.wfd.WorkflowDesignerManager;

/**
 * Nautica WorkflowDesignerのアクティビティ要素削除アクションです。
 * 
 * @author  Norihiro Itoh(ARGO 21 Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 1.0
 */
public class DeleteActivityAction extends AbstractAction
{
	/** シリアルバージョンID */
	private static final long serialVersionUID = 1L;

	/**
	 * このアクションが選択されたときに実行される処理内容。
	 * 
	 * @param e アクションイベント
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e)
	{
		DesktopPane desktop = WorkflowDesignerManager.getMainFrame().getDesktop();
		ProcessDesignFrame frame = desktop.getCurrentProcessDesignFrame();
		
		if (frame == null) return;
		
		frame.getView().getProcessFlowView().delete();
	}
}
